﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace KeyKeeper
{
    public partial class KeyAdd : Form
    {
        public KeyAdd()
        {
            InitializeComponent();
        }

        private void cmdClose_Click(object sender, EventArgs e)
        {
            Tools.ButtonPress = 0;
            this.Close();
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            Tools.ButtonPress = 1;
            //Store info
            Tools.KeyInfo.iCaption = txtCaption.Text;
            Tools.KeyInfo.iKey = txtKey.Text;
            Tools.KeyInfo.iInfo = txtInfo.Text;
            this.Close();
        }

        private void txtCaption_TextChanged(object sender, EventArgs e)
        {
            cmdOK.Enabled = (txtCaption.Text.Trim().Length > 0);
        }

        private void KeyAdd_Load(object sender, EventArgs e)
        {
            if (Tools.KeyAddOp == Tools.AddOp.Add)
            {
                this.Text = "Add";
                cmdOK.Text = "Add";
                
            }
            if (Tools.KeyAddOp == Tools.AddOp.Edit)
            {
                this.Text = "Edit - " + Tools.KeyInfo.iCaption;
                cmdOK.Text = "Update";
                txtCaption.Text = Tools.KeyInfo.iCaption;
                txtKey.Text = Tools.KeyInfo.iKey;
                txtInfo.Text = Tools.KeyInfo.iInfo;
            }
        }

        private void txtCaption_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == '\r')
            {
                e.Handled = true;
                if (cmdOK.Enabled)
                {
                    cmdOK_Click(sender, e);
                }
            }
        }

        private void txtKey_KeyPress(object sender, KeyPressEventArgs e)
        {
            txtCaption_KeyPress(sender, e);
        }

        private void txtInfo_TextChanged(object sender, EventArgs e)
        {
            txtCaption_TextChanged(sender, e);
        }

        private void txtInfo_KeyPress(object sender, KeyPressEventArgs e)
        {
            txtCaption_KeyPress(sender, e);
        }

        private void cmdCopy_Click(object sender, EventArgs e)
        {
            if (!string.IsNullOrEmpty(txtKey.Text))
            {
                Clipboard.SetText(txtKey.Text, TextDataFormat.Text);
            }
        }

        private void cmdPaste_Click(object sender, EventArgs e)
        {
            txtKey.SelectedText = Clipboard.GetText();
            //Set focus
            txtKey.Focus();
        }

        private void txtKey_TextChanged(object sender, EventArgs e)
        {

        }
    }
}
